Subject: Re: bug#26996: 25.1; doc-view-revert-buffer doesn't detect file change while using tramp

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 02 Nov 2019 15:56:21 +0100

Stefan Monnier <[email-masked]> writes:

> Hmm... but now auto-revert loops forever:
> updating the file -> triggers auto-revert -> your new code
> saves the buffer to the file -> triggers auto-revert -> ...
>
> I think the patch below is needed.

Sounds good; please

> But I wonder why you added:
>
>     (doc-view-make-safe-dir doc-view-cache-directory)
>
> did it just seemed safer or have you found a concrete case that
> needed it?

It been so long I barely remember.  I mean, the patch is more than a
month old.  :-)

Let's see...  Yes, I think I remember the directory having been removed
while I was playing with this stuff, so I had to make sure it existed
before writing to it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no